Page MenuHomePhabricator

Make "default" preset the first in the list
Closed, ResolvedPublic1 Story Points

Description

The fact that the namespace preset with the name "default" appears somewhere in the middle of the list of presets creates a constant thought of confusion in my head that never disappeared. I believe the "default" needs to move to the front.

Current:

Expected:

Patch-For-Review:

Details

Related Gerrit Patches:
mediawiki/extensions/AdvancedSearch : masterMove default namespace preset to the front

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 8 2018, 2:51 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 431762 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/AdvancedSearch@master] Move default namespace preset to the front

https://gerrit.wikimedia.org/r/431762

thiemowmde triaged this task as Low priority.
thiemowmde updated the task description. (Show Details)
thiemowmde set the point value for this task to 1.
thiemowmde moved this task from Incoming to Advanced Search on the TCB-Team board.

I'm not opposed to the idea but also there might be a reason for this particular positioning of the presets. @Charlie_WMDE ?

Oh. Thanks for the hint. I was under the wrong impression this might have been a mistake (e.g. when the preset was added, it was added at the end of the list, just before "all"). But the mock in T188515: Create a namespace checkbox for "Default" that introduced the "default" preset actually shows it at this position. I wonder why?

@Charlie_WMDE: To elaborate a little more on why I feel distracted by the current position: The "default" checkbox is what is always enabled by default when Special:Search comes up. That's why it's a default, after all. The fact that one of the checkboxes is checked by default would not cause much distraction when it would be the first in the line. But it is somewhere in the middle of the list. I constantly feel something I don't want is checked there, especially when I never interacted with the namespace selection. I always have to read the word "default" to understand it is probably not a mistake.

Sometimes I even felt the need to uncheck it – but this is a void operation, as the checkmark comes back by default after clicking "Search".

This illustrates much better what happens in my head:

@thiemowmde

this is a perfectly valid point and I agree with you that the order is not optimal. It's actually something I overlooked after a change I made because originally the checkboxes where on the right side, and there the order made sense to me. When I moved them to the left I didn't think about reversing the order unfortunately.

I agree that naturally it would make sense to have the default checkbox all the way on the left, but then the hierarchy doesn't make sense anymore.

What we should do is exactly what you suggested.

Default first
and then the order is from small to all i.e. discussion, help, all.

Thanks for noticing!

Change 431762 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Move default namespace preset to the front

https://gerrit.wikimedia.org/r/431762

Lea_WMDE closed this task as Resolved.May 28 2018, 10:12 AM
Vvjjkkii renamed this task from Make "default" preset the first in the list to sddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed thiemowmde as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from sddaaaaaaa to Make "default" preset the first in the list.Jul 2 2018, 1:39 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to thiemowmde.
CommunityTechBot lowered the priority of this task from High to Low.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.